"""
console.py - import this from a configuration script for an azcam console process.
"""

import sys
import os

import azcam
from azcam.tools.logger import Logger
from azcam.tools.parameters import Parameters

# console mode
azcam.db.mode = "console"

# parse command line arguments
try:
    i = sys.argv.index("-config")
    config = sys.argv[i + 1]
    del i
    if os.path.isabs(config):
        searchfolder, config = os.path.split(config)
        azcam.utils.add_searchfolder(searchfolder, 0)
    azcam.db.config_module = config
    del config
except ValueError:
    azcam.db.config_module = None

# parameters
params = Parameters("azcamconsole")

# logging
azcam.db.logger = Logger()
azcam.log = azcam.db.logger.log  # to allow azcam.log()
del Logger
