"""
server.py - import this from a configuration script for an azcam server process.
"""

import sys
import os
import socket
import importlib

import azcam
from azcam.tools.logger import Logger
from azcam.tools.parameters import Parameters

# server mode
azcam.db.mode = "server"

# define tools which can be accessed remotely
azcam.db.remote_tools = ["db"]
azcam.db.db = azcam.db  # self reference for remote access

# parameters
params = Parameters("azcamserver")
azcam.db.remote_tools.append("params")

# logging
azcam.db.logger = Logger()
azcam.log = azcam.db.logger.log  # to allow azcam.log()
del Logger

# save this machine's hostname and ip address
azcam.db.hostname = socket.gethostname()
azcam.db.hostip = socket.gethostbyname(azcam.db.hostname)

# tool_id's which are reset or initialized with exposure
azcam.db.tools_reset = {}
azcam.db.tools_init = {}
