import azcam

# test connection to azcamserver as required for most tests
def test_connect(host="localhost", port=2402):
    assert azcam.db.server.connect() is True


def test_command(command="params.get_par verbosity"):
    v = int(azcam.db.server.command(command))
    assert v >= 0


def test_abort_exposure():
    assert azcam.db.exposure.abort() is None


def test_initialize():
    assert azcam.db.exposure.initialize() is None


def test_parameters():
    for par in azcam.db.parameters:
        value = azcam.db.params.get_par(par)
        print(f"{par}: {value}")


def run_all_tests():
    """
    Run all tests in this module.
    """

    test_connect()
    test_command()
    test_abort_exposure()
    test_initialize()
    test_parameters()

    return
